## smpeg 0.4.5%2Bcvs20030824

=== debian/control ===
Source: smpeg
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper (>= 11~),
               chrpath,
               libsdl1.2-dev (>= 1.2.2-3.1),
               libgtk2.0-dev,
               libglib2.0-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/sdl-team/smpeg
Vcs-Git: https://salsa.debian.org/sdl-team/smpeg.git
Homepage: https://icculus.org/smpeg/

Package: libsmpeg0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: smpeg,
           libsmpeg-dev (<= 0.3.5-1),
           smpeg-gtv (<= 0.3.5-1),
           smpeg-plaympeg (<= 0.3.5-1),
           libsmpeg0c2
Provides: libsmpeg0c2
Replaces: libsmpeg0c2
Description: SDL MPEG Player Library - shared libraries
 SMPEG (SDL MPEG Player Library) is a free MPEG1 video player library with
 sound support.  Video playback is based on the ubiquitous Berkeley MPEG
 player, mpeg_play v2.2.  Audio is played through a slightly modified
 mpegsound library, part of splay v0.8.2. SMPEG supports MPEG audio (MP3),
 MPEG-1 video, and MPEG system streams.
 .
 This package contains the libsmpeg shared library that is required by
 many MPEG-playing packages, including smpeg-xmms and smpeg-plaympeg.

Package: libsmpeg-dev
Architecture: any
Section: libdevel
Depends: libsmpeg0 (= ${binary:Version}),
         ${misc:Depends},
         libsdl1.2-dev (>= 1.2.2-3.3)
Description: SDL MPEG Player Library - development files
 SMPEG (SDL MPEG Player Library) is a free MPEG1 video player library with
 sound support.  Video playback is based on the ubiquitous Berkeley MPEG
 player, mpeg_play v2.2.  Audio is played through a slightly modified
 mpegsound library, part of splay v0.8.2. SMPEG supports MPEG audio (MP3),
 MPEG-1 video, and MPEG system streams.
 .
 This package contains the development files (headers and static libraries)
 for libsmpeg. It is only needed if you want to compile programs that use
 SMPEG.

Package: smpeg-plaympeg
Architecture: any
Section: video
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: SMPEG command line MPEG audio/video player
 SMPEG (SDL MPEG Player Library) is a free MPEG1 video player library with
 sound support.  Video playback is based on the ubiquitous Berkeley MPEG
 player, mpeg_play v2.2.  Audio is played through a slightly modified
 mpegsound library, part of splay v0.8.2. SMPEG supports MPEG audio (MP3),
 MPEG-1 video, and MPEG system streams.
 .
 This package contains a command line player called plaympeg.

Package: smpeg-gtv
Architecture: any
Section: video
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: SMPEG GTK+ MPEG audio/video player
 SMPEG (SDL MPEG Player Library) is a free MPEG1 video player library with
 sound support.  Video playback is based on the ubiquitous Berkeley MPEG
 player, mpeg_play v2.2.  Audio is played through a slightly modified
 mpegsound library, part of splay v0.8.2. SMPEG supports MPEG audio (MP3),
 MPEG-1 video, and MPEG system streams.
 .
 This package contains a GTK+ player called gtv.
