## smpeg 0.4.5+cvs20030824

=== debian/changelog ===
smpeg (0.4.5+cvs20030824-9) UNRELEASED; urgency=medium

  * update

 -- Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>  Wed, 18 May 2022 10:04:07 +0800

smpeg (0.4.5+cvs20030824-9) unstable; urgency=medium

  * Team upload.
  * Remove smpeg-gtv package.
    - Depends on the deprecated GTK 2 library.
    - Remove gtk-related patches.
    - Closes: #967749
  * Remove ancient Conflicts.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 23 Oct 2020 01:01:43 +0200

smpeg (0.4.5+cvs20030824-8) unstable; urgency=medium

  * Acknowledge NMUs
  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * Switch to debhelper compat level v11
    - remove dh-autoreconf from Build-Depends, automatically included
    - remove "--parallel --with autoreconf" from d/rules, default
  * d/control:
    - Use https for Homepage URL
    - Set "Rules-Requires-Root: no"
    - Update Vcs-* URLs
  * d/copyright:
    - Use https in Homepage URL and canonical Format URL
    - Fix missing "General" in "GNU Lesser General Public License"
  * d/rules:
    - dh_install --fail-missing is deprecated and about to be removed,
      use dh_missing instead

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 23 Oct 2018 23:50:16 +0200

smpeg (0.4.5+cvs20030824-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix compilation with GCC 6. (Closes: #811742)

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sat, 24 Sep 2016 20:30:31 +0200

smpeg (0.4.5+cvs20030824-7.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission. Thanks!
  * Add 040_drop_libtool.m4.diff to drop old copy of libtool.m4 from
    acinclude.m4 (Closes: #757585).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 Aug 2014 00:20:57 +0200

smpeg (0.4.5+cvs20030824-7) unstable; urgency=medium

  * Patch ltconfig to add support for kfreebsd-*, otherwise FTBFS.  Thanks
    Steven Chamberlain.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 10 Aug 2014 12:43:39 +0100

smpeg (0.4.5+cvs20030824-6) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 3.9.5 (no changes needed)
  * Change maintainer address
  * Drop obsolete "DM-Upload-Allowed: yes"
  * Remove patch 100_rebootstrap.diff (unnecessary after using
    dh-autoreconf)
  * After the autoreconf changes, there were problems with rpath, and
    after hours messing around with options trying to avoid chrpath, but
    could not.
    - Disable 000_no_rpath.diff, was not effective after using
      autoreconf
    - Add patch upstream_disable_rpath.diff to allow option
      --enable-rpath=no when configuring (now added in rules)
    - rpath issue still present after this, so using chrpath anyway
      (added to Build-Depends)

  [ Wookey ]
  * Use dh-autoreconf during build to update for new architectures
    (Closes: #757585)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 09 Aug 2014 18:40:11 +0100

smpeg (0.4.5+cvs20030824-5) unstable; urgency=low

  * Add libsmpeg-dev.preinst to remove /usr/share/doc/libsmpeg-dev symlink to
    libsmpeg0, if existing from previous versions of the package (it was like
    that in Squeeze).  Otherwise, when -dev is removed, it removes files from
    the libsmpeg0 package.  Thanks to Andreas Beckmann for the report (Closes:
    #700787).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 17 Feb 2013 22:24:31 +0000

smpeg (0.4.5+cvs20030824-4) unstable; urgency=low

  [ Felix Geyer ]
  * Team upload.
  * Change section of smpeg-plaympeg and smpeg-gtv to video.
  * Simplify debian/rules by using dh(1).
  * Switch to debhelper compat level v9.
    - Exports hardening build flags.
    - Add 330_format_security.diff.
    - Build for multiarch. (Closes: #650990)
  * Append -Wl,--as-needed to LDFLAGS.
  * Pass --fail-missing to dh_install.

  [ Dominique Dumont ]
  * source/lintian-override: added debhelper exception.
  * debian/copyright: converted to DEP-5.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 08 Jan 2012 10:39:20 +0100

smpeg (0.4.5+cvs20030824-3) unstable; urgency=low

  * Team upload.
  * Drop the .la file. (Closes: #633322)
  * Remove Joe Drew <drew@debian.org> from Uplodaers (MIA). (Closes: #540911)
  * Put changes from last upload into a patch file: 320_gnu_stack.diff
  * Convert to source fromat 3.0 (quilt).
  * Add ${misc:Depends} to all packages.
  * control: added homepage, bumped standard version (no other changes)
  * fix lintian warning in rules, spmeg-gtv.menu
  * Import changes from Ubuntu / Colin Watson:
    - 020_libx11.diff: Link gtv with -lx11. (Closes: #556351)
    - 030_am_prog_as.diff: Add AM_PROG_AS to configure.in to keep current
      automake happy.
    - 100_rebootstrap.diff: Refresh.  Remove superseded macros from
      acinclude.m4.
  * Add Vcs control fields.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 02 Dec 2011 13:59:15 +0100

smpeg (0.4.5+cvs20030824-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Build with a 2 line patch to not need an executable stack, new version of
    the patch to use the latest version of progbits.
    Closes: #445595
    For background see:
    http://etbe.coker.com.au/2008/08/11/executable-stacks-lenny/

 -- Russell Coker <russell@coker.com.au>  Wed, 10 Sep 2008 17:13:23 +1000

smpeg (0.4.5+cvs20030824-2) unstable; urgency=low

  * debian/control:
    + Set maintainer to the SDL team.
    + Build-depend on quilt.
    + Build-depend on libgtk2.0-dev.

  * Split the old monolithic diff.gz into patches in debian/patches.

  * 001_gtk+2.0-headers.diff  210_gtk+2.0-code.diff:
    + New patches. Support for GTK+2.0.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 21 Jun 2007 03:16:01 +0200

smpeg (0.4.5+cvs20030824-1.10) unstable; urgency=low

  * Non-maintainer upload.
  * Fix aclocal warnings in smpeg.m4 due to missing quotation.
    (Closes: #310636, #418292)
  * Update smpeg.m4 so that 'autoreconf -Wall' will not produce warnings

